Subject: bug#13011: 24.2; Text flickering moving cursor with box around text enabled

From: Kenichi Handa <[email-masked]>
Date: Mon, 03 Dec 2012 18:29:18 +0900

In article <[email-masked]>, Stefan Monnier <[email-masked]> writes:

> > I made a provisional change that behaves with left and right borders
> > like it does with horizontal ones, and it seems to work, at least with
> > character display (didn't text with images, image slices, composite
> > characters, etc.).  But I'd like to ask Handa-san (CC'ed), who wrote
> > the code for this feature (almost 12 years ago!), whether he might
> > remember why the code deliberately makes the left and right borders
> > behave differently from top and bottom ones.

> I'm curious as well.  The only think that comes to mind is that in most
> fonts, there's usually some empty pixel-line(s) at the top and the
> bottom, whereas there often't isn't any empty pixel-lines at all on the
> left (and/or on the right) side.  So there's more risk of overwriting
> useful pixels on the left&right than at top&bottom.

Yes.  That's the reason of this asymmetry.  The original
intention of this feature was to make modeline occupy only
canonical line height even with the current style.

---
Kenichi Handa
[email-masked]